package com.caimei.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/18
 */
@Configuration
public class ApiConfig implements WebMvcConfigurer {
    @Resource
    private ApiInterceptor apiInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        //addPathPatterns 用于添加拦截规则
        //excludePathPatterns 用于排除拦截
        registry.addInterceptor(apiInterceptor)
                .addPathPatterns("/auth/**")
                .addPathPatterns("/shop/**")
                .addPathPatterns("/upload/**")
                .addPathPatterns("/user/update/password");
//                .excludePathPatterns("/order/shareCode");
    }
}
