package com.caimei.mapper;

import com.caimei.model.po.ProductParamPo;
import com.caimei.model.po.ProductPo;
import com.caimei.model.vo.ProductFormVo;
import com.caimei.model.vo.ProductListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/17
 */
@Mapper
public interface AuthProductMapper {

    List<ProductListVo> getProductList(@Param("authId") Integer authId, @Param("productName") String productName, @Param("snCode") String snCode);

    void updateProductStatusByProductId(@Param("productId") Integer productId, @Param("status") Integer status);

    void deleteProductByProductId(Integer productId);

    void insertProduct(ProductPo product);

    void updateProductByProductId(ProductPo product);

    void deleteParamsByProductId(Integer productId);

    void insertProductParam(@Param("productId") Integer productId, @Param("paramName") String paramName, @Param("paramContent") String paramContent);

    Integer getProductIdBySnCode(String snCode);

    ProductFormVo getProductFormByProductId(Integer productId);

    List<ProductParamPo> getParamsByProductId(Integer productId);

    List<Integer> getProductIdsByAuthId(Integer authId);

    ProductPo getImageByProductId(Integer productId);

    List<ProductPo> getAllImage();

    void updateImageByProductId(ProductPo product);
}
