package com.caimei.model.dto;


import com.caimei.model.po.ProductParamPo;
import com.caimei.module.base.entity.po.CmBrandProductParamPo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/17
 */
@Data
public class ProductSaveDto {
    @ApiModelProperty("授权商品id")
    private Integer productId;

    @NotNull(message = "授权id不能为空")
    @ApiModelProperty("授权id")
    private Integer authId;

    @NotNull(message = "品牌id不能为空")
    @ApiModelProperty("品牌id")
    private Integer brandId;

    @NotNull(message = "商品名称不能为空")
    @ApiModelProperty("商品名称")
    private String productName;

    @NotNull(message = "商品SN码不能为空")
    @ApiModelProperty("商品SN码")
    private String snCode;

    @NotNull(message = "商品图片不能为空")
    @ApiModelProperty("商品图片")
    private String productImage;

    @NotNull(message = "授权牌照不能为空")
    @ApiModelProperty("授权牌照")
    private String certificateImage;

    @NotNull(message = "上架状态不能为空")
    @ApiModelProperty("上架状态：0下架，1上架")
    private Integer status;

    @NotNull(message = "创建人id不能为空")
    @ApiModelProperty("创建人id")
    private Integer createBy;

    @NotNull(message = "商品参数列表不能为空")
    @ApiModelProperty("商品参数列表")
    private List<ProductParamPo> paramList;
}
