package com.caimei.model.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;


/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Data
public class ShopSaveDto {
    /**
     * 供应商id
     */
    @ApiModelProperty("供应商id")
    private Integer authUserId;

    /**
     * 供应商类型：1代理商，2品牌方
     */
    @NotNull(message = "供应商类型不能为空")
    @ApiModelProperty("供应商类型：1代理商，2品牌方")
    private Integer shopType;

    /**
     * 品牌id
     */
    @NotNull(message = "品牌id不能为空")
    @ApiModelProperty("品牌id")
    private Integer brandId;

    /**
     * 供应商名称
     */
    @NotNull(message = "供应商名称不能为空")
    @ApiModelProperty("供应商名称")
    private String shopName;

    /**
     * 手机号
     */
    @NotNull(message = "手机号不能为空")
    @ApiModelProperty("手机号")
    private String mobile;

    /**
     * 联系人
     */
    @NotNull(message = "联系人不能为空")
    @ApiModelProperty("联系人")
    private String linkMan;

    /**
     * 产地国家id
     */
    @NotNull(message = "产地不能为空")
    @ApiModelProperty("产地国家id")
    private Integer countryId;

    /**
     * 品牌授权logo
     */
    @NotNull(message = "品牌logo不能为空")
    @ApiModelProperty("品牌授权logo")
    private String brandAuthLogo;

    /**
     * 供应商状态：0停用 1启用
     */
    @NotNull(message = "供应商状态不能为空")
    @ApiModelProperty("供应商状态：0停用 1启用")
    private Integer shopStatus;

    /**
     * 官网认证链接
     */
    @ApiModelProperty("官网认证链接")
    private String securityLink;

    /**
     * 代理声明类型：1弹窗 2链接 3图片 4文件（.doc .ppt .pdf）
     */
    @ApiModelProperty("代理声明类型：1弹窗 2链接 3图片 4文件（.doc .ppt .pdf）")
    private Integer statementType;

    /**
     * 声明弹窗内容
     */
    @ApiModelProperty("声明弹窗内容")
    private String statementContent;

    /**
     * 声明链接
     */
    @ApiModelProperty("声明链接")
    private String statementLink;

    /**
     * 声明图片
     */
    @ApiModelProperty("声明图片")
    private String statementImage;

    /**
     * 声明文件id
     */
    @ApiModelProperty("声明文件id")
    private Integer statementFileId;

    /**
     * 创建人用户id
     */
    @ApiModelProperty("创建人用户id")
    private Integer createBy;
}
